package com.rob57530.smsserver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

public class BootReceiver extends BroadcastReceiver
{
	@Override
	public void onReceive(Context context, Intent intent)
	{
		SharedPreferences p = PreferenceManager.getDefaultSharedPreferences(context);
		if(p.getBoolean("boot", true))
			context.startService(new Intent(context, SMSServerService.class));
	}

}
